%define module	XML-LibXML-XPathContext
%define name	perl-%{module}
%define version	0.07
%define	release	%mkrel 3 

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface to libxml2
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{module}-%{version}.tar.bz2
Patch0:		XML-LibXML-XPathContext-0.06-makefile.patch.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:	libxml2-devel
BuildRequires:	glib2-devel
BuildRequires:	libgdome-devel
BuildRequires:  perl(XML::LibXML)
Requires:	libxml2

%description
Perl interface to libxml2's xmlXPathContext.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/XML/*
%{perl_vendorarch}/auto/*
%{_mandir}/*/*

%changelog
* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-3mdk
- Fix According to perl Policy
	- Source URL
	- BuildRequires

* Thu Dec 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-2mdk
- Fix BuildRequires

* Sat Nov 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-1mdk
- New release 0.07
- Fix Source
- %%mkrel

* Wed Nov 17 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.06-2mdk
- Rebuild for new perl.

* Mon Aug 30 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.06-1mdk
- Initial MDK release, needed by perl-XML-XUpdate-LibXML.
